Download it now!
Bug 65031 - : PDF export of coloured text results in Black only text
Summary: : PDF export of coloured text results in Black only text
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-27 09:30 UTC by Piero Cirrottola
Modified: 2013-08-29 16:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
zip file contains odt test file and its PDF conversion. (21.63 KB, multipart/docs)
2013-05-27 09:30 UTC, Piero Cirrottola
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piero Cirrottola 2013-05-27 09:30:51 UTC
Created attachment 79837 [details]
zip file contains odt test file and its PDF conversion.

Coloured texts in professional reports are very important, to emphasize special issues, so for me (and other professionals, I hope) this problem is classified as MAJOR.
I tried to use again suggestion proposed by 58580 BugID (because I was already informed of) this setting, but results doesn't change.
So I open a new bug request, attaching a zip file with very simple .odt file and a PDF file with result of PDF internal conversion.
I must indicate that:
- same occurs with Writer an Calc components (I didn't test with others);
- colours for background (each for single word of full raw or cell) is printed fine (both Calc and Writer), so problem is related to text colour only;
- if I underline the text, using normal "Ctrl+U" key, underlining is coloured, but text not (as you can see in attached PDF);
- I tried to print using a PDF printer (Bullzip PDF Printer 7.2.0.1304), but result doesn't change;
Last: this bug module push me to correct my hardware characteristics; but entries are too much limited:
- hw: AMD64 double dual-processor Opteron 2222
- OS: Windows NT x64 edition
- SW rel.: LibreOffice Version 4.0.3.3 
          (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)

Thanks to everybody
    Piero Cirrottola
Comment 1 Piero Cirrottola 2013-05-27 10:34:32 UTC
I tested in Linux too: it works perfectly.
- hw: AMD64 double dual-processor Opteron 2222
- OS: Linux Ubuntu 10.04 LTS
- SW rel.: LibreOffice Version 4.0.3.3 (deb/x64)
Comment 2 bfoman (inactive) 2013-06-28 11:52:43 UTC
Checked with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Could not reproduce. Exported PDF (default settings) is full of colours.
Comment 3 bfoman (inactive) 2013-06-28 12:01:34 UTC
(In reply to comment #0)
> - if I underline the text, using normal "Ctrl+U" key, underlining is
> coloured, but text not (as you can see in attached PDF);

In attached PDF both text and underline are the same colour (5 different). Checked in Adobe Reader 9.5.4.
Comment 4 retired 2013-07-03 13:06:55 UTC
NOTABUG.

Downloaded zip. Opened with LO 4.1.0.1. Exported as PDF. Text and underlines are identical to odt document.

Also, as bfoman points out: this is already the case in the zip file Piero attached.

Piero: What do you think is not fixed in this bug?
Comment 5 Piero Cirrottola 2013-08-29 16:14:38 UTC
to James:
yes, I verified it is not a LibreOffice bug.
Because generally I don't use Acrobat in Windows, I discovered that it is a viewing bug in PDF-Xchange Viewer program.
Using Acrobat (in Windows) it works fine as it works fine in Linux, using Okular and Evince.
Many thanks for your patience
     Ciao, Piero Cirrottola